module Kafka
  module Lite
    module Consumers
      class Console < Consumer

        def initialize(topic)
          super('CONSOLE_CONSUMER', topic)
        end

        private

        def process event
          $stdout.puts event
          $stdout.flush
        end

      end
    end
  end
end
