module Kafka
  module Lite
    module Producers
      class Console < Producer

        def initialize(topic)
          super()
          @topic = topic
        end

        private

        def next_event
          if (message = $stdin.gets)
            Event.new(@topic, 'Message', message: message.chomp)
          else
            nil
          end
        end

      end
    end
  end
end
