def ARGV.event_count
  numbers = self.grep(/\A\d+\z/)
  numbers.any? ? numbers.sample.to_i : nil
end

def ARGV.event_name
  names = self.grep(/\A[-_a-zA-Z]+\z/)
  names.any? ? names.sample : nil
end

ARGV.singleton_class.instance_eval do
  alias_method :producer_name, :event_name
  alias_method :consumer_name, :event_name
end
